OISRateHelper Class Reference

Rate helper for bootstrapping over Overnight Indexed Swap rates. More...

`#include <ql/termstructures/yield/oisratehelper.hpp>`

Inheritance diagram for OISRateHelper:
[legend]

## Public Member Functions

OISRateHelper (Natural settlementDays, const Period &tenor, const Handle< Quote > &fixedRate, const ext::shared_ptr< OvernightIndex > &overnightIndex, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >(), bool telescopicValueDates=false, Natural paymentLag=0, BusinessDayConvention paymentConvention=Following, Frequency paymentFrequency=Annual, const Calendar &paymentCalendar=Calendar(), const Period &forwardStart=0 *Days, Spread overnightSpread=0.0, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date())

RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
inspectors
ext::shared_ptr< OvernightIndexedSwap > | swap () const
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Visitability

Pillar::Choice | pillarChoice_
Natural | settlementDays_
Period | tenor_
ext::shared_ptr< OvernightIndex > | overnightIndex_
ext::shared_ptr< OvernightIndexedSwap > | swap_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
Handle< YieldTermStructure > | discountHandle_
bool | telescopicValueDates_
RelinkableHandle< YieldTermStructure > | discountRelinkableHandle_
Natural | paymentLag_
BusinessDayConvention | paymentConvention_
Frequency | paymentFrequency_
Calendar | paymentCalendar_
Period | forwardStart_
Spread | overnightSpread_
void | accept (AcyclicVisitor &)
void | initializeDates ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from RelativeDateBootstrapHelper< TS >
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Detailed Description

Rate helper for bootstrapping over Overnight Indexed Swap rates.

Examples
  MulticurveBootstrapping.cpp.